Time flows upwards.
'-' means to do, '+' means done.
Subject to change at any time, for any reason.

- Later

- Minimise to system tray?

- 2.0

- Gapless playback
- Volume normalisation
- GConf schema
- Translations

- 1.x

- Optimisation e.g. directory traversal, strcmp in tag comparisons, etc.
- Allow user to remove recent items
- Support streams from other uris e.g. RealMedia streams?
- Play tracks in track number order rather than alphabetical if available?
- Set up gitweb on artificialworlds
- Make GSSMP a drag and drop target
- Add GSSMP to right-click menus on Nautilus etc.
- Create debian and RPM repositories
- Sign the RPM
- Remember window size and position
- Support xdg-open?  Or whatever the correct way to do this is in the new world
- Support control via media keys.
- Confirm that the "fast clicking of Next when using sshfs causes segfault"
  bug is fixed with newer versions of gstreamer in Edgy+.
- Submit to last.fm when you complete a track, instead of starting it?
- Log bugs against lastfmsubmitd upstream, debian and ubuntu about missing file.
- Add a Music menu (or submenu on File) that shows all tracks in dir
- Minimise to system tray
- Fix bug in About dialog?

+ 1.2

+ Document the use of lastfmsubmitd.
+ Fix crash with lastfmsubmitd (Charles Bailey)
+ Fix crash when playing a movie file (Charles Bailey)
+ Add support for using lastfmsubmitd to submit tracks to last.fm

+ 1.1

+ Fix bug where repeat setting was lost on restart

+ 1.0

+ Show the new filename immediately when you click next
+ Fix bug where we try to play files that are completely the wrong mime type
+ Icon in top left of window

+ 0.9

+ Add icons to menus in binary distributions
+ Accept a file or dir name as an argument on the command line
+ Man page
+ Distribute web site as documentation, and point to it from Help menu
+ Fix the lost new bookmarks when you have more than 10 bug
+ Fix bug where program crashes if you have the Recent menu open when it updates
+ Fix docs to say an icon is installed in the menu

+ 0.8

+ Expand web site
+ Package into RPM
+ Package into deb
+ Unpause when clicking a bookmark
+ Bookmarks are the same if the files are in the same dir
+ Implement Shuffle, Repeat All, Repeat One modes
+ Write status messages using a separate timer
+ Remove the directory textbox
+ Publish git repo

+ 0.2

+ Bookmarks - one per twig directory - last 10 things played
+ Fix bug where track info is sometimes not displayed on startup.  (Because UI was not ready?)
+ Fix crashing when loading a picture.
+ Volume control
+ Ensure track name etc is i18nable
+ Show track length with album
+ Neater interface (Artist, album and track name in one box, buttons in menus)

+ 0.1

+ Create web page, mailing list etc.
+ Install docs in make install
+ Create source and binary tarballs
+ i18n framework
+ Handle unknown file type
+ Keyboard navigation
+ Seeking
+ Pause and Play buttons - disable when not available
+ Previous button
+ Show track number
+ Next button
+ Remember track and position on exit
+ Directory traversal
+ Music playback
+ UI

